import { TableItem } from './types';
export declare type GetUnitFunction = (value: number, rounded: string | number, pre: string) => string;
export interface FindUnitResult {
    div: number;
    pre: string;
}
export declare type FindUnitFunction = (value: number) => FindUnitResult;
export declare type FindUnitOption = FindUnitResult[] | FindUnitFunction;
export interface RoundAdvancedOptions {
    dec?: number | string;
    fixed?: boolean;
}
export declare type RoundFunction = (num: number) => (string | number);
export declare type RoundOption = number | RoundAdvancedOptions | RoundFunction;
export declare type FormatOutputFunction = (value: string | number, pre: string, unit: string) => string;
export interface CreateFormatterOptions extends DeprecatedCreateFormatterOptions {
    unit?: string | GetUnitFunction;
    find?: FindUnitOption;
    round?: RoundOption;
    output?: FormatOutputFunction;
}
export declare type FormatFunction = (value: number) => string;
interface DeprecatedCreateFormatterOptions {
    dec?: number | string;
    fixed?: boolean;
    table?: TableItem[];
}
export {};
